CC:=gcc

ifeq ($(debug), 1)
	CFLAGS:=-std=c99 -pedantic -ggdb -fopenmp -Ddebug -D_GNU_SOURCE
else
	CFLAGS:=-std=c99 -O3 -pedantic -Wall -Wextra -fopenmp -D_GNU_SOURCE
endif

ifeq ($(write_dx),1)
	CFLAGS += -Dwrite_dx
endif

ifeq ($(debug), 1)
	EXE:=test_dbg
else
	EXE:=construct_lipid
endif

all:${EXE}

main.o: main.c ../../dcd_util/traj_dcd_handler.h ../../util/util.h ../../GridDxFormat/grid_reader.h
	${CC} ${CFLAGS} -c main.c -I../../dcd_util/ -I../../GridDxFormat/ -I../../util/ -o main.o

../../util/util.o: ../../util/util.c ../../util/util.h
	${CC} ${CFLAGS} -c ../../util/util.c -I../../util -o ../../util/util.o

../../dcd_util/traj_dcd_handler.o: ../../dcd_util/traj_dcd_handler.c ../../dcd_util/traj_dcd_handler.h
	${CC} ${CFLAGS} -c ../../dcd_util/traj_dcd_handler.c -I../../dcd_util/ -o ../../dcd_util/traj_dcd_handler.o

../../GridDxFormat/grid_reader.o: ../../GridDxFormat/grid_reader.c ../../GridDxFormat/grid_reader.h
	${CC} ${CFLAGS} -c ../../GridDxFormat/grid_reader.c -I../../GridDxFormat/ -o ../../GridDxFormat/grid_reader.o


${EXE}: main.o ../../util/util.o ../../dcd_util/traj_dcd_handler.o ../../GridDxFormat/grid_reader.o
	${CC} ${CFLAGS} ../../util/util.o ../../GridDxFormat/grid_reader.o ../../dcd_util/traj_dcd_handler.o main.o -o ${EXE} -lm

clean:
	rm -r -f *.o ../../util/util.o ../../dcd_util/traj_dcd_handler.o ../../GridDxFormat/grid_reader.o 


